//
//  setup_cutter_dlg.h - setup cutter dialog class header file
//
//  $Id: setup_cutter_dlg.h 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_CUTTER_DIALOG_H__
#define __SETUP_CUTTER_DIALOG_H__

//
// CSetupCutterDlg dialog
//
class CSetupCutterDlg : public CDialog
{
// Construction
public:
	CSetupCutterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupCutterDlg)
	enum { IDD = IDD_SETUP_CUTTER };
	CString	m_CutterAccel;
	CString	m_CutterDecel;
	CString	m_CutterOffset;
	CString	m_CutterScale;
	CString	m_CutterSpeed;
	int		m_CutterAxisNum;
	int		m_CutterLowerMCode;
	int		m_CutterRaiseMCode;
	int		m_CutterLowerMacro;
	int		m_CutterRaiseMacro;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupCutterDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_CUTTER_DIALOG_H__
