//
//  setup_spindle_dlg.h - setup spindle dialog class header file
//
//  $Id: setup_spindle_dlg.h 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_SPINDLE_DIALOG_H__
#define __SETUP_SPINDLE_DIALOG_H__

//
// CSetupSpindleDlg dialog
//
class CSetupSpindleDlg : public CDialog
{
// Construction
public:
	CSetupSpindleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupSpindleDlg)
	enum { IDD = IDD_SETUP_SPINDLE };
	int		m_SpindleAxisNum;
	CString	m_SpindleAccel;
	CString	m_SpindleDecel;
	CString	m_SpindleMode;
	CString	m_SpindlePolarity;
	CString	m_SpindleSpeed;
	CString	m_SpindleScale;
	CString	m_SpindleConstant;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupSpindleDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_SPINDLE_DIALOG_H__
