//
//  setup_axis_dlg.h - setup axis dialog class header file
//
//  $Id: setup_axis_dlg.h 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_AXIS_DIALOG_H__
#define __SETUP_AXIS_DIALOG_H__

//
// CSetupAxes dialog
//
class CSetupAxes : public CDialog
{
// Construction
public:
	CSetupAxes(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupAxes)
	enum { IDD = IDD_SETUP_AXES };
	int		m_XAxisNum;
	int		m_YAxisNum;
	int		m_ZAxisNum;
	int		m_UAxisNum;
	int		m_VAxisNum;
	int		m_WAxisNum;
	CString	m_UScale;
	CString	m_VScale;
	CString	m_WScale;
	CString	m_XScale;
	CString	m_YScale;
	CString	m_ZScale;
	int		m_USlaveNum;
	int		m_VSlaveNum;
	int		m_WSlaveNum;
	int		m_XSlaveNum;
	int		m_YSlaveNum;
	int		m_ZSlaveNum;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupAxes)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_AXIS_DIALOG_H__
