//
//  setup_ext_dlg.h - setup ext controls dialog class header file
//
//  $Id: setup_ext_dlg.h 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_EXTCONTROLS_DIALOG_H__
#define __SETUP_EXTCONTROLS_DIALOG_H__

//
// CSetupExtControlsDlg dialog
//
class CSetupExtControlsDlg : public CDialog
{
// Construction
public:
	CSetupExtControlsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupExtControlsDlg)
	enum { IDD = IDD_SETUP_EXT_CONTROLS };
	int		m_BlockButtonChannel;
	int		m_FHoldButtonChannel;
	int		m_StartButtonChannel;
	int		m_BlockIndicatorChannel;
	int		m_FHoldIndicatorChannel;
	int		m_StartIndicatorChannel;
	int		m_BlockSkipSwitchChannel;
	int		m_DryrunSwitchChannel;
	int		m_DriveFaultInputChannel;
	int		m_EStopInputChannel;
	int		m_ExtEStopInputChannel;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupExtControlsDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_EXTCONTROLS_DIALOG_H__
