//
//  stdafx.h - include file for standard system include files
//
//  $Id: stdafx.h 54 2014-04-11 01:06:56Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef STDAFX_H
#define STDAFX_H

#pragma warning(disable : 4996)		// silly Visual Studio 8 deprecates ANSI functions warning

// Change these values to use different versions
#define WINVER			0x0501
#define _WIN32_WINNT	0x0501
#define _WIN32_IE		0x0501

#include <afxwin.h>
#include <afxext.h>

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <shlobj.h>
#include <fstream>
#include <iomanip>
#include <sstream>
#include <mmsystem.h>

//
#define _MCAPI_VER 400
#include "mcapi_dl.h"
#define _MCDLG_VER 400
#include "mcdlg_dl.h"
#include "mccl.h"
#include "mccl_cnc.h"

#include "wincnc.h"
#include "app_settings.h"
#include "app_classes.h"
#include "axis.h"
#include "cutter.h"
#include "offset.h"
#include "spindle.h"
#include "tool.h"
#include "work_coords.h"
#include "textview.h"
#include "homing_view.h"
#include "machine_view.h"
#include "motion_controller.h"
#include "output_display.h"
#include "status_display.h"
#include "part.h"
#include "part_view.h"
#include "machine.h"
#include "control_button.h"
#include "control_panel.h"
#include "mdi_panel.h"

#include "dialog\\setup_axis_dlg.h"
#include "dialog\\setup_cutter_dlg.h"
#include "dialog\\setup_ext_dlg.h"
#include "dialog\\setup_feedrate_dlg.h"
#include "dialog\\setup_general_dlg.h"
#include "dialog\\setup_homing_dlg.h"
#include "dialog\\setup_jogging_dlg.h"
#include "dialog\\setup_limits_dlg.h"
#include "dialog\\setup_machine_dlg.h"
#include "dialog\\setup_offsets_dlg.h"
#include "dialog\\setup_program_dlg.h"
#include "dialog\\setup_rapid_dlg.h"
#include "dialog\\setup_spindle_dlg.h"
#include "dialog\\setup_tool_dlg.h"
#include "dialog\\setup_work_coord_dlg.h"

#include "mainfrm.h"

#endif			// STDAFX_H
